Bug 798558 - glusterfs core dumps upon rebalance operation
glusterfs core dumps upon rebalance operation
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 04:13 EST by shylesh
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-08 03:46:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-02-29 04:13:02 EST
Description of problem:
while performing rebalance operation glusterfs core dumps

Version-Release number of selected component (if applicable):
Mainline

How reproducible:


Steps to Reproduce:
1.create a distribute volume with 2 bricks
2.keep on creating some files on the mount point
3.do add-brick and initiate rebalance 
  
Actual results:
glusterfs crashed

Expected results:


Additional info:

Core was generated by `/usr/local/sbin/glusterfs -s localhost --volfile-id dist --xlator-option *dht.u'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f694fb77b4d in dht_selfheal_dir_xattr_persubvol (frame=0x7f694002d30c, loc=0x7f69540eb7d8, layout=0x7f694002e9e0, i=1)
    at dht-selfheal.c:179
179             STACK_WIND (frame, dht_selfheal_dir_xattr_cbk,
Missing separate debuginfos, use: debuginfo-install glibc-2.12-1.25.el6_1.3.x86_64 libgcc-4.4.5-6.el6.x86_64
(gdb) bt
#0  0x00007f694fb77b4d in dht_selfheal_dir_xattr_persubvol (frame=0x7f694002d30c, loc=0x7f69540eb7d8, layout=0x7f694002e9e0, i=1)
    at dht-selfheal.c:179
#1  0x00007f694fb77cd0 in dht_fix_dir_xattr (frame=0x7f694002d30c, loc=0x7f69540eb7d8, layout=0x7f694002e9e0) at dht-selfheal.c:216
#2  0x00007f694fb79d8f in dht_fix_directory_layout (frame=0x7f694002d30c, dir_cbk=0x7f694fb90721 <dht_common_setxattr_cbk>, 
    layout=0x206f4c0) at dht-selfheal.c:800
#3  0x00007f694fb91c2d in dht_setxattr (frame=0x7f694002d30c, this=0x205c350, loc=0x7f694cc85d90, xattr=0x7f6940019cc0, flags=0)
    at dht-common.c:2299
#4  0x00007f695835f479 in syncop_setxattr (subvol=0x205c350, loc=0x7f694cc85d90, dict=0x7f6940019cc0, flags=0) at syncop.c:722
#5  0x00007f694fb7675f in gf_defrag_fix_layout (this=0x205c350, defrag=0x206f290, loc=0x7f694cc85f30, fix_layout=0x7f6940019cc0, 
    migrate_data=0x7f694001a170) at dht-rebalance.c:1292
#6  0x00007f694fb76ce9 in gf_defrag_start_crawl (data=0x205c350) at dht-rebalance.c:1408
#7  0x00007f695835c743 in synctask_wrap (old_task=0x7f69480008e0) at syncop.c:144
#8  0x0000003b20e43690 in ?? () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()
Comment 1 shylesh 2012-02-29 05:05:23 EST
(gdb) f 1
#1  0x00007f694fb77cd0 in dht_fix_dir_xattr (frame=0x7f694002d30c, loc=0x7f69540eb7d8, layout=0x7f694002e9e0) at dht-selfheal.c:216
216                     dht_selfheal_dir_xattr_persubvol (frame, loc, layout, i);
(gdb) p i
$16 = 1
(gdb) p layout
$17 = (dht_layout_t *) 0x7f694002e9e0
(gdb) p *$
$18 = {spread_cnt = 0, cnt = 4, preset = 0, gen = 5, type = 0, ref = 2, search_unhashed = 0, list = 0x7f694002e9e0}
(gdb) p layout->list[2]
$19 = {err = -2, start = 0, stop = 0, xlator = 0x0}
(gdb) p layout->list[1]
$20 = {err = -2, start = 0, stop = 0, xlator = 0x0}
(gdb) p layout->list[4]
$21 = {err = 0, start = 0, stop = 197, xlator = 0x0}
(gdb) p layout->list[5]
$22 = {err = 0, start = 0, stop = 33791536, xlator = 0x56f4307400000000}
(gdb) p layout->list[0]
$23 = {err = -1, start = 0, stop = 4294967295, xlator = 0x205a7f0}



===================================================================
Comment 2 Amar Tumballi 2012-03-12 05:46:41 EDT
please update these bugs w.r.to 3.3.0qa27, need to work on it as per target milestone set.
Comment 3 shylesh 2012-03-12 07:37:03 EDT
This bug is not reproducible on 3.3.0qa27.

(In reply to comment #2)
> please update these bugs w.r.to 3.3.0qa27, need to work on it as per target
> milestone set.
Comment 4 Amar Tumballi 2012-03-12 12:25:57 EDT
can i move it to closed?
Comment 5 shylesh 2012-04-08 03:46:47 EDT
This bug is not reproducible on 3.3.0qa33.

Note You need to log in before you can comment on or make changes to this bug.